Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core
Class ProtectedProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  weka.core.ProtectedProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class ProtectedProperties

extends java.util.Properties

Simple class that extends the Properties class so that the properties are unable to be modified.

Version:
  $Revision: 1.2 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`ProtectedProperties(java.util.Properties props)` Creates a set of protected properties from a set of normal ones.

Method Summary
`void` | `clear()` Overrides a method to prevent the properties from being modified.
`void` | `load(java.io.InputStream inStream)` Overrides a method to prevent the properties from being modified.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Overrides a method to prevent the properties from being modified.
`void` | `putAll(java.util.Map t)` Overrides a method to prevent the properties from being modified.
`java.lang.Object` | `remove(java.lang.Object key)` Overrides a method to prevent the properties from being modified.
`java.lang.Object` | `setProperty(java.lang.String key, java.lang.String value)` Overrides a method to prevent the properties from being modified.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, loadFromXML, propertyNames, save, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProtectedProperties

    public ProtectedProperties(java.util.Properties props)

  Creates a set of protected properties from a set of normal ones.

  Parameters:
    `props` - the properties to be stored and protected.

Method Detail

### setProperty

    public java.lang.Object setProperty(java.lang.String key,
                                        java.lang.String value)

  Overrides a method to prevent the properties from being modified.

  Overrides:
    `setProperty` in class `java.util.Properties`
  Returns:
    never returns without throwing an exception.
  Throws:
    `java.lang.UnsupportedOperationException` - always.

### load

    public void load(java.io.InputStream inStream)

  Overrides a method to prevent the properties from being modified.

  Overrides:
    `load` in class `java.util.Properties`
  Throws:
    `java.lang.UnsupportedOperationException` - always.

### clear

    public void clear()

  Overrides a method to prevent the properties from being modified.

  Specified by:
    `clear` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `clear` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException` - always.

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Overrides a method to prevent the properties from being modified.

  Specified by:
    `put` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `put` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Returns:
    never returns without throwing an exception.
  Throws:
    `java.lang.UnsupportedOperationException` - always.

### putAll

    public void putAll(java.util.Map t)

  Overrides a method to prevent the properties from being modified.

  Specified by:
    `putAll` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `putAll` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Throws:
    `java.lang.UnsupportedOperationException` - always.

### remove

    public java.lang.Object remove(java.lang.Object key)

  Overrides a method to prevent the properties from being modified.

  Specified by:
    `remove` in interface `java.util.Map<java.lang.Object,java.lang.Object>`
  Overrides:
    `remove` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  Returns:
    never returns without throwing an exception.
  Throws:
    `java.lang.UnsupportedOperationException` - always.

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD